Bug 478693 - Ghostscript PDF plugin for Gimp crashes on some PDF imports
Ghostscript PDF plugin for Gimp crashes on some PDF imports
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 12:31 EST by Johan Vromans
Modified: 2009-12-18 02:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:28:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample PDF document (14.17 MB, application/pdf)
2009-01-03 12:31 EST, Johan Vromans
no flags Details

  None (edit)
Description Johan Vromans 2009-01-03 12:31:34 EST
Created attachment 328110 [details]
Sample PDF document

Description of problem:

When Gimp is build without poppler (see also bug #478691) it uses a Ghostscript PDF plugin for PDF import. This plugin crashes on certain imports.

I have attached a big (15Mb PDF) that consistently crashes when import options "200 DPI / Page 11 / Weak anti-aliasing for text, weak anti-aliasing for graphics" is selected.
Comment 1 Tim Waugh 2009-01-05 10:17:04 EST
It's not a crash, of the plugin or of gs, but an error message.

Here is how to reproduce the cause from the command line:

gs -sDEVICE=ppmraw -r200 -dUseCropBox -dTextAlphaBits=2 \
   -dGraphicsAlphaBits=2 -q -dBATCH -dNOPAUSE -sOutputFile=/dev/null \
   -f doc.pdf -c quit

GPL Ghostscript 8.63: Unrecoverable error, exit code 255

The question is: what causes ghostscript to give this error?

More investigation needed.
Comment 2 Bug Zapper 2009-11-18 04:43:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:28:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.